// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

// Copyright (C) 2013-2014	JoostinOnline

#ifndef __TITLE_H__
#define __TITLE_H__

#include <gctypes.h>

#if defined(HW_RVL) /* defined(HW_RVL) */

#define TITLE_ID(x,y) (((u64)(x) << 32) | (y)) // Needed for launching channels

#define TITLE_CUSTOM		"00010001"
#define TITLE_SYSTEM		"00010002"
#define TITLE_GAME			"00010004"
#define TITLE_HIDDEN		"00010008"

#define TITLE_ENODIR		 0
#define TITLE_ENOLAUNCH		-1
#define TITLE_ELENGTH		-2
#define TITLE_ENULL			-3

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

s8 TITLE_LaunchTitle(const char *uppertitle, const char *lowertitle);
void TITLE_LaunchAllTypes(const char *lowertitle);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* defined(HW_RVL) */

#endif